# std::bad_cast Class Reference

Thrown during incorrect typecasting. More...

Inheritance diagram for std::bad_cast:

[legend]
Collaboration diagram for std::bad_cast:

[legend]
List of all members.

## Public Member Functions

virtual const char * | what () const throw ()

## Detailed Description

Thrown during incorrect typecasting.

If you attempt an invalid `dynamic_cast` expression, an instance of this class (or something derived from this class) is thrown.

Definition at line 135 of file typeinfo.

## Member Function Documentation

virtual const char* std::exception::what | ( |  | ) | const throw ()`[virtual, inherited]`

| Returns a C-style character string describing the general cause of the current error. Reimplemented in std::ios_base::failure, std::logic_error, and std::runtime_error.

The documentation for this class was generated from the following file:

- typeinfo